import {
    graphql, formatPageQueryWithCount, formatMutation
} from "@openimis/fe-core";

export function fetchMyEntities(prms) {
    const payload = formatPageQueryWithCount(
        "healthFacilities",
        prms,
        ["code", "name"]
    );
    return graphql(payload, 'MY_MODULE_MY_ENTITIES');
}


export function saveEntity(entity, clientMutationLabel) {
    let entityGQL = `
        code: "${entity.code}"
        name: "${entity.name}"
        type: "${entity.type}"
    `
    let mutation = formatMutation("createLocation", entityGQL, clientMutationLabel);
    var requestedDateTime = new Date();
    return graphql(
        mutation.payload,
        "MY_MODULE_CREATE_ENTITY",
        {
            clientMutationId: mutation.clientMutationId,
            clientMutationLabel,
            requestedDateTime
        }
    )
}